<?php
require_once("DBManager.class.php");

class evaluacion{
	private $ideva;///
	private $idcab;
	private $idpregunta;			
	///////////////////////////////////////////
	public function Crear($vidcab,$vidpregunta)
	{
		$resp=false;		
		$db= new DBManager();	
if($db->_execute("INSERT INTO evaluacion(ideva,idcab,idpregunta) VALUES(null,'".$vidcab."',".$vidpregunta.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarDetalleIngreso($vcab)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from evaluacion where(idcab='".$vcab."') ORDER BY RAND()");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("ideva"	    => $rs->fields["ideva"],
									"idcab" 	=> $rs->fields["idcab"],
									"idpregunta" 	=> $rs->fields["idpregunta"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from evaluacion where(ideva = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
					  $this->ideva=$rs->fields["ideva"];
					  $this->idcab=$rs->fields["idcab"];	
	                  $this->idpregunta=$rs->fields["idpregunta"];				      			
				      
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}	
	///////////////////////////////////////////////		
	public function Actualizar($videva,$vidcab,$vidpregunta)			
	{
		$resp=false;		
		$db= new DBManager();		
if($db->_execute("update  evaluacion set idcab=".$vidcab." idpregunta = ".$vidpregunta." where (ideva=".$videva.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM evaluacion WHERE (ideva=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	
	public function Eliminartodo($vcab)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM evaluacion WHERE (idcab=".$vcab.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	///
	////////////////////////////////////////							
	
	public function getIdpregunta(){ return $this->idpregunta;}
	public function getIdcab(){ return $this->idcab;}
	public function getIdeva(){ return $this->ideva;}		
}
?>